#ifndef RESOURCES_H
#define RESOURCES_H
#include "../server/resource.h"

namespace http::auth {
    /**
     * Класс пользовательских разрешений,
     */
    class UserPremision{};

    /**
     * Класс пользователя, содержит логин/хеш_пароля/настройки пользователя/права
     */
    class User{};

    /**
     * Класс аутентификации. Управляет всеми сессиями, создает новые при логине, удаляет при логауте.
     * @note Класс устанавливает заголовок 'Set-Cookie' в ответе, и этот заголовок должен дойти до пользователя!
     */
    class AuthProvider {

    };

    class NeedAuentificationResource: public resource::BasicResource {};

}

#endif //RESOURCES_H
